import { Component } from '@angular/core';
import { Router } from "@angular/router";
import {OverAllService} from './overAll/overAll.service';
import {Title} from '@angular/platform-browser';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html',
})
export class AppComponent {

    constructor(private router: Router,private overAll:OverAllService,
                private titleSer:Title){

        console.log("monitor:v201911191512");
        //火狐拖动图片会打开新tab
        document.body.ondrop =  (event)=> {
            event.preventDefault();
            event.stopPropagation();
        };

        this.overAll.getSystem().subscribe(
            (res)=>{
                this.titleSer.setTitle(res.main.name);
            }
        )
    }
}
